### File

`packages/eui/packages/components-next/src/lib/services/eui-dynamic-component.service.ts`

### Index

###### Methods
Public attach Public detach

### Constructor

`constructor(componentFactoryResolver: ComponentFactoryResolver, injector: Injector, appRef: ApplicationRef)`
Parameters :
Name | Type | Optional
componentFactoryResolver | `ComponentFactoryResolver` | No
injector | `Injector` | No
appRef | `ApplicationRef` | No

### Methods

Public attach
`attach(component: any, el?: ElementRef, config?: any)`
Parameters :
Name | Type | Optional
component | `any` | No
el | `ElementRef` | Yes
config | `any` | Yes
Returns : `{ portalHost: any; portal: any; portalComponentInstance: any; }`

Public detach
`detach(portalHostRef: DomPortalOutlet)`
Parameters :
Name | Type | Optional
portalHostRef | `DomPortalOutlet` | No
Returns : `void`

# result-matching ""

# No results matching ""